Draft Fillet
|
Menu location |
---|
Drafting → Fillet 2D Drafting → Fillet |
Workbenches |
Draft, BIM |
Default shortcut |
F I |
Introduced in version |
0.19 |
See also |
Draft Line, Draft Wire |
Description
The Draft Fillet command creates a fillet, a rounded corner, or a chamfer, a straight edge, between two selected edges. In version 0.21 and below the command only works properly if both selected edges are straight.
Several fillets and chamfers created between two edges
Usage
- Select two objects with one edge that meet in a single point. See Notes.
- There are several ways to invoke the command:
- Enter the Fillet radius. Note that the command will not succeed if the radius is too large for the selected edge objects.
- Optionally check the Delete original objects option.
- Optionally check the Create chamfer option.
- If you have selected one of the two previous options: Click in the Fillet radius input box.
- Press Enter.
Options
- Press Esc or the Close button to abort the command.
Notes
- A Draft Fillet cannot be edited nor is it linked to the objects that were used to create it.
- If selected objects have multiple edges, their first edge will be used. This may not be the edge that was picked in the 3D view.
- A Draft Wire that has at least three points can be filleted or chamfered by changing its DataFillet Radius or DataChamfer Size respectively. Since Draft Lines and Draft Wires, can be joined with the Draft Wire command, the Draft Join command or the Draft Upgrade command, this provides an alternative method for creating fillets and chamfers.
Properties
See also: Property editor.
A Draft Fillet object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
Draft
- DataEnd (
VectorDistance
): (read-only) specifies the end point of the fillet. - DataFillet Radius (
Length
): (read-only) radius with which the fillet was created. - DataLength (
Length
): (read-only) specifies the total length of the fillet. - DataStart (
VectorDistance
): (read-only) specifies the start point of the fillet.
View
Draft
- ViewArrow Size (
Length
): specifies the size of the symbol displayed at the end of the fillet. - ViewArrow Type (
Enumeration
): specifies the type of symbol displayed at the end of the fillet, which can beDot
,Circle
,Arrow
,Tick
orTick-2
. - ViewEnd Arrow (
Bool
): specifies whether to show a symbol at the end of the fillet, so it can be used as an annotation line. - ViewPattern (
Enumeration
): not used. - ViewPattern Size (
Float
): not used.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Fillet use the make_fillet
method of the Draft module:
fillet = make_fillet([edge1, edge2], radius=100, chamfer=False, delete=False)
- Creates a
Fillet
object between edge objectsedge1
andedge2
, usingradius
for the curvature. - If
chamfer
isTrue
it will create a straight edge instead of a rounded edge. - If
delete
isTrue
it will delete the givenedge1
andedge2
, and leave only the new object.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)
edge1 = Draft.make_line(p1, p2)
edge2 = Draft.make_line(p2, p3)
doc.recompute()
fillet = Draft.make_fillet([edge1, edge2], radius=500)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path link array, Point array, Point link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap lock, Snap endpoint, Snap midpoint, Snap center, Snap angle, Snap intersection, Snap perpendicular, Snap extension, Snap parallel, Snap special, Snap near, Snap ortho, Snap grid, Snap working plane, Snap dimensions, Toggle grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Text: Open hyperlinks
- Wire: Flatten
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub